Opened 3 years ago

Closed 2 years ago

#10305 closed bug (fixed)

Windows validate failures

Reported by: simonpj Owned by:
Priority: normal Milestone: 8.0.1
Component: Compiler Version: 7.10.1
Keywords: Cc:
Operating System: Unknown/Multiple Architecture: Unknown/Multiple
Type of failure: None/Unknown Test Case:
Blocked By: Blocking:
Related Tickets: #8981 Differential Rev(s):
Wiki Page:

Description

Running sh validate --fast on Windows gives the error log below.

There seem to be at least three problems

  • Some unexpected failures. Let's ignore those for now, since they are probably all different
  • Some Python traceback stuff; this must be a bug.
  • Tons of warnings about haddock-interfaces

Could someone help with these. Yes, I can just ignore all this output, but it seems wrong.

Thanks

Simon

OVERALL SUMMARY for test run started at 04/14/15 22:37:45 GMT Daylight Time
 0:53:23 spent to go through
    4437 total tests, which gave rise to
   13186 test cases, of which
    9122 were skipped

      53 had missing libraries
    3915 expected passes
      79 expected failures

       4 caused framework failures
       2 unexpected passes
       7 unexpected failures
       5 unexpected stat failures

Unexpected passes:
   rts  T5250 (normal)
   rts  linker_unload (normal)

Unexpected failures:
   ../../libraries/base/tests/System  Timeout001 [bad exit code] (normal)
   codeGen/should_compile             debug [bad exit code] (normal)
   ghc-e/should_fail                  T9930fail [bad exit code] (normal)
   ghci/linking                       T1407 [bad stderr] (ghci)
   ghci/scripts                       T5975a [bad stderr] (ghci)
   ghci/scripts                       T9878b [bad exit code] (ghci)
   stranal/should_run                 T10148 [bad stderr] (optasm)

Unexpected stat failures:
   perf/compiler    T5030 [stat too good] (normal)
   perf/compiler    T5837 [stat too good] (normal)
   perf/compiler    T783 [stat not good enough] (normal)
   perf/compiler    T9872d [stat not good enough] (normal)
   perf/should_run  T9203 [stat not good enough] (normal)

Traceback (most recent call last):
  File "C:\code\HEAD\testsuite\driver\testlib.py", line 806, in do_test
    result = func(*[name,way] + args)
  File "C:\code\HEAD\testsuite\driver\testlib.py", line 1121, in stats
    return checkStats(name, way, stats_file, opts.stats_range_fields)
  File "C:\code\HEAD\testsuite\driver\testlib.py", line 1131, in checkStats
    f = open(in_testdir(stats_file))
IOError: [Errno 2] No such file or directory: './perf/haddock/../../../../libraries/base/dist-install/doc/html/base/base.haddock.t'
Traceback (most recent call last):
  File "C:\code\HEAD\testsuite\driver\testlib.py", line 806, in do_test
    result = func(*[name,way] + args)
  File "C:\code\HEAD\testsuite\driver\testlib.py", line 1121, in stats
    return checkStats(name, way, stats_file, opts.stats_range_fields)
  File "C:\code\HEAD\testsuite\driver\testlib.py", line 1131, in checkStats
    f = open(in_testdir(stats_file))
IOError: [Errno 2] No such file or directory: './perf/haddock/../../../../libraries/Cabal/Cabal/dist-install/doc/html/Cabal/Cabal.haddock.t'
Traceback (most recent call last):
  File "C:\code\HEAD\testsuite\driver\testlib.py", line 806, in do_test
    result = func(*[name,way] + args)
  File "C:\code\HEAD\testsuite\driver\testlib.py", line 1121, in stats
    return checkStats(name, way, stats_file, opts.stats_range_fields)
  File "C:\code\HEAD\testsuite\driver\testlib.py", line 1131, in checkStats
    f = open(in_testdir(stats_file))
IOError: [Errno 2] No such file or directory: './perf/haddock/../../../../compiler/stage2/doc/html/ghc/ghc.haddock.t'
make[2]: Leaving directory '/cygdrive/c/code/HEAD/testsuite/tests'
make[1]: Leaving directory '/cygdrive/c/code/HEAD/testsuite/tests'
== Start post-testsuite package check
Timestamp 2015-04-07 22:25:31 UTC for C:\Users\simonpj\AppData\Roaming\ghc\i386-mingw32-7.11.20150407\package.conf.d\package.cache
Timestamp 2015-04-07 22:25:31 UTC for C:\Users\simonpj\AppData\Roaming\ghc\i386-mingw32-7.11.20150407\package.conf.d (same as cache)
using cache: C:\Users\simonpj\AppData\Roaming\ghc\i386-mingw32-7.11.20150407\package.conf.d\package.cache
Timestamp 2015-04-14 21:31:48 UTC for C:/code/HEAD/inplace\lib\package.conf.d\package.cache
Timestamp 2015-04-14 21:31:48 UTC for C:/code/HEAD/inplace\lib\package.conf.d (same as cache)
using cache: C:/code/HEAD/inplace\lib\package.conf.d\package.cache
db stack: ["C:\\Users\\simonpj\\AppData\\Roaming\\ghc\\i386-mingw32-7.11.20150407\\package.conf.d","C:/code/HEAD/inplace\\lib\\package.conf.d"]
modifying: Nothing
flag db stack: ["C:\\Users\\simonpj\\AppData\\Roaming\\ghc\\i386-mingw32-7.11.20150407\\package.conf.d","C:/code/HEAD/inplace\\lib\\package.conf.d"]
Warning: haddock-interfaces: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\linear-1.18.0.1\html\linear.haddock doesn't exist or isn't a file
Warning: haddock-html: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\linear-1.18.0.1\html doesn't exist or isn't a directory
Warning: haddock-interfaces: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\lens-4.9\html\lens.haddock doesn't exist or isn't a file
Warning: haddock-html: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\lens-4.9\html doesn't exist or isn't a directory
Warning: haddock-interfaces: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\kan-extensions-4.2.1\html\kan-extensions.haddock doesn't exist or isn't a file
Warning: haddock-html: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\kan-extensions-4.2.1\html doesn't exist or isn't a directory
Warning: haddock-interfaces: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\adjunctions-4.2\html\adjunctions.haddock doesn't exist or isn't a file
Warning: haddock-html: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\adjunctions-4.2\html doesn't exist or isn't a directory
Warning: haddock-interfaces: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\free-4.11\html\free.haddock doesn't exist or isn't a file
Warning: haddock-html: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\free-4.11\html doesn't exist or isn't a directory
Warning: haddock-interfaces: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\profunctors-4.4.1\html\profunctors.haddock doesn't exist or isn't a file
Warning: haddock-html: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\profunctors-4.4.1\html doesn't exist or isn't a directory
Warning: haddock-interfaces: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\bifunctors-4.2.1\html\bifunctors.haddock doesn't exist or isn't a file
Warning: haddock-html: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\bifunctors-4.2.1\html doesn't exist or isn't a directory
Warning: haddock-interfaces: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\semigroupoids-4.3\html\semigroupoids.haddock doesn't exist or isn't a file
Warning: haddock-html: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\semigroupoids-4.3\html doesn't exist or isn't a directory
Warning: haddock-interfaces: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\comonad-4.2.5\html\comonad.haddock doesn't exist or isn't a file
Warning: haddock-html: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\comonad-4.2.5\html doesn't exist or isn't a directory
Warning: haddock-interfaces: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\contravariant-1.3.1\html\contravariant.haddock doesn't exist or isn't a file
Warning: haddock-html: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\contravariant-1.3.1\html doesn't exist or isn't a directory
Warning: haddock-interfaces: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\bytes-0.15\html\bytes.haddock doesn't exist or isn't a file
Warning: haddock-html: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\bytes-0.15\html doesn't exist or isn't a directory
Warning: haddock-interfaces: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\void-0.7\html\void.haddock doesn't exist or isn't a file
Warning: haddock-html: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\void-0.7\html doesn't exist or isn't a directory
Warning: haddock-interfaces: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\semigroups-0.16.2.2\html\semigroups.haddock doesn't exist or isn't a file
Warning: haddock-html: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\semigroups-0.16.2.2\html doesn't exist or isn't a directory
Warning: haddock-interfaces: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\unordered-containers-0.2.5.1\html\unordered-containers.haddock doesn't exist or isn't a file
Warning: haddock-html: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\unordered-containers-0.2.5.1\html doesn't exist or isn't a directory
Warning: haddock-interfaces: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\exceptions-0.8.0.2\html\exceptions.haddock doesn't exist or isn't a file
Warning: haddock-html: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\exceptions-0.8.0.2\html doesn't exist or isn't a directory
Warning: haddock-interfaces: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\distributive-0.4.4\html\distributive.haddock doesn't exist or isn't a file
Warning: haddock-html: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\distributive-0.4.4\html doesn't exist or isn't a directory
Warning: haddock-interfaces: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\hashable-1.2.3.2\html\hashable.haddock doesn't exist or isn't a file
Warning: haddock-html: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\hashable-1.2.3.2\html doesn't exist or isn't a directory
Warning: haddock-interfaces: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\vector-0.10.12.3\html\vector.haddock doesn't exist or isn't a file
Warning: haddock-html: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\vector-0.10.12.3\html doesn't exist or isn't a directory
Warning: haddock-interfaces: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\transformers-compat-0.4.0.4\html\transformers-compat.haddock doesn't exist or isn't a file
Warning: haddock-html: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\transformers-compat-0.4.0.4\html doesn't exist or isn't a directory
Warning: haddock-interfaces: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\text-1.2.0.4\html\text.haddock doesn't exist or isn't a file
Warning: haddock-html: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\text-1.2.0.4\html doesn't exist or isn't a directory
Warning: haddock-interfaces: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\tagged-0.8.0.1\html\tagged.haddock doesn't exist or isn't a file
Warning: haddock-html: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\tagged-0.8.0.1\html doesn't exist or isn't a directory
Warning: haddock-interfaces: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\reflection-1.5.1.2\html\reflection.haddock doesn't exist or isn't a file
Warning: haddock-html: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\reflection-1.5.1.2\html doesn't exist or isn't a directory
Warning: haddock-interfaces: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\primitive-0.6\html\primitive.haddock doesn't exist or isn't a file
Warning: haddock-html: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\primitive-0.6\html doesn't exist or isn't a directory
Warning: haddock-interfaces: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\prelude-extras-0.4\html\prelude-extras.haddock doesn't exist or isn't a file
Warning: haddock-html: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\prelude-extras-0.4\html doesn't exist or isn't a directory
Warning: haddock-interfaces: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\nats-1\html\nats.haddock doesn't exist or isn't a file
Warning: haddock-html: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\nats-1\html doesn't exist or isn't a directory
Warning: haddock-interfaces: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\mtl-2.2.1\html\mtl.haddock doesn't exist or isn't a file
Warning: haddock-html: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\mtl-2.2.1\html doesn't exist or isn't a directory
Warning: haddock-interfaces: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\cereal-0.4.1.1\html\cereal.haddock doesn't exist or isn't a file
Warning: haddock-html: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\cereal-0.4.1.1\html doesn't exist or isn't a directory
Warning: haddock-interfaces: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\StateVar-1.1.0.0\html\StateVar.haddock doesn't exist or isn't a file
Warning: haddock-html: C:\Users\simonpj\AppData\Roaming\cabal\doc\i386-windows-ghc-7.11.20150407\StateVar-1.1.0.0\html doesn't exist or isn't a directory
Warning: haddock-interfaces: C:\code\HEAD\libraries\stm\dist-install\doc\html\stm\stm.haddock doesn't exist or isn't a file
Warning: haddock-interfaces: C:\code\HEAD\libraries\parallel\dist-install\doc\html\parallel\parallel.haddock doesn't exist or isn't a file
Warning: haddock-interfaces: C:\code\HEAD\compiler\stage2\doc\html\ghc\ghc.haddock doesn't exist or isn't a file
Warning: haddock-interfaces: C:\code\HEAD\libraries\haskeline\dist-install\doc\html\haskeline\haskeline.haddock doesn't exist or isn't a file
Warning: haddock-interfaces: C:\code\HEAD\libraries\transformers\dist-install\doc\html\transformers\transformers.haddock doesn't exist or isn't a file
Warning: haddock-interfaces: C:\code\HEAD\libraries\hoopl\dist-install\doc\html\hoopl\hoopl.haddock doesn't exist or isn't a file
Warning: haddock-interfaces: C:\code\HEAD\libraries\bin-package-db\dist-install\doc\html\bin-package-db\bin-package-db.haddock doesn't exist or isn't a file
Warning: haddock-interfaces: C:\code\HEAD\libraries\Cabal\Cabal\dist-install\doc\html\Cabal\Cabal.haddock doesn't exist or isn't a file
Warning: haddock-interfaces: C:\code\HEAD\libraries\binary\dist-install\doc\html\binary\binary.haddock doesn't exist or isn't a file
Warning: haddock-interfaces: C:\code\HEAD\libraries\template-haskell\dist-install\doc\html\template-haskell\template-haskell.haddock doesn't exist or isn't a file
Warning: haddock-interfaces: C:\code\HEAD\libraries\pretty\dist-install\doc\html\pretty\pretty.haddock doesn't exist or isn't a file
Warning: haddock-interfaces: C:\code\HEAD\libraries\hpc\dist-install\doc\html\hpc\hpc.haddock doesn't exist or isn't a file
Warning: haddock-interfaces: C:\code\HEAD\libraries\process\dist-install\doc\html\process\process.haddock doesn't exist or isn't a file
Warning: haddock-interfaces: C:\code\HEAD\libraries\directory\dist-install\doc\html\directory\directory.haddock doesn't exist or isn't a file
Warning: haddock-interfaces: C:\code\HEAD\libraries\time\dist-install\doc\html\time\time.haddock doesn't exist or isn't a file
Warning: haddock-interfaces: C:\code\HEAD\libraries\Win32\dist-install\doc\html\Win32\Win32.haddock doesn't exist or isn't a file
Warning: haddock-interfaces: C:\code\HEAD\libraries\containers\dist-install\doc\html\containers\containers.haddock doesn't exist or isn't a file
Warning: haddock-interfaces: C:\code\HEAD\libraries\bytestring\dist-install\doc\html\bytestring\bytestring.haddock doesn't exist or isn't a file
Warning: haddock-interfaces: C:\code\HEAD\libraries\deepseq\dist-install\doc\html\deepseq\deepseq.haddock doesn't exist or isn't a file
Warning: haddock-interfaces: C:\code\HEAD\libraries\array\dist-install\doc\html\array\array.haddock doesn't exist or isn't a file
Warning: haddock-interfaces: C:\code\HEAD\libraries\filepath\dist-install\doc\html\filepath\filepath.haddock doesn't exist or isn't a file
Warning: haddock-interfaces: C:\code\HEAD\libraries\base\dist-install\doc\html\base\base.haddock doesn't exist or isn't a file
Warning: haddock-interfaces: C:\code\HEAD\libraries\integer-gmp\dist-install\doc\html\integer-gmp\integer-gmp.haddock doesn't exist or isn't a file
Warning: haddock-interfaces: C:\code\HEAD\libraries\ghc-prim\dist-install\doc\html\ghc-prim\ghc-prim.haddock doesn't exist or isn't a file
== End post-testsuite package check
-------------------------------------------------------------------
Oops!  Looks like you have some unexpected test results or framework failures.
Please fix them before pushing/sending patches.
-------------------------------------------------------------------
HEAD $ 

Change History (3)

comment:1 Changed 3 years ago by Thomas Miedema <thomasmiedema@…>

In 6694ccf9444baf565eb0f38f7808767616f23825/ghc:

testsuite: handle missing stats files gracefully (#10305)

The following tests would result in framework failures when using a ghc
build with HADDOCK_DOCS=NO in mk/build.mk or mk/validate.mk:

  * haddock.Cabal
  * haddock.base
  * haddock.compiler

Test Plan: run make in tests/perf/haddock

Differential Revision: https://phabricator.haskell.org/D899

comment:2 in reply to:  description Changed 3 years ago by thomie

You are most likely setting HADDOCK_DOCS=NO in your mk/validate.mk file (on your Windows machine only, which is why you don't see these errors on Linux). That should normally be ok, but see below.

  • Some unexpected failures. Let's ignore those for now, since they are probably all different

Ok. These are the only problems that are Windows only in this ticket.

  • Some Python traceback stuff; this must be a bug.

It was. Should be fixed now.

  • Tons of warnings about haddock-interfaces

This is an instance of #8981. A workaround is to use HADDOCK_DOCS=YES (the default) in mk/build.mk or mk/validate.mk`.

comment:3 Changed 2 years ago by thomie

Milestone: 8.0.1
Resolution: fixed
Status: newclosed

See #8981 for the haddock warnings.

Note: See TracTickets for help on using tickets.